For the complete documentation index, see llms.txt. This page is also available as Markdown.

Estimate Flash Refill

Estimate flash-charge resources

get
Query parameters
receiverstringRequired

Address to receive the resource Address to receive energy

resource_typestring · enumRequired

ResourceType, ENERGY | BANDWIDTH

Possible values:
Header parameters
CF-ACCESS-KEYstringRequired

The API access key.

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature.

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).

Responses
200

OK

application/json
codeinteger · int32Optional

Returns 0 on success; all other values indicate errors

msgstringOptional

Error message returned when an error occurs

sub_codestringOptional
sub_msgstringOptional
get/v1/flash/open/estimate
GET /v1/flash/open/estimate?receiver=text&resource_type=ENERGY HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "enabled": true,
    "min_flash_quantity": 1,
    "max_flash_quantity": 1,
    "price": 1
  }
}

Last updated